<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  mod_r17_jshopping_slider 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:10 
 *  
 */   

defined('_JEXEC') or die;
$html_captions="";
$html='<div class="r17jsm_slider_outer_wrapper" style="width:'.($slider_width>0 ? $slider_width.'px' : "100%").';"><div class="r17jsm_slider_wrapper">'; 
$html.='<div id="'.$slider_id.'">';
if(count($images)){
	$name = JSFactory::getLang()->get("name");
	foreach($images as $image){
		$html.='<div class="r17jsm_slider_item_wrapper" style="padding:0 '.$slide_margin.'px;">';
		if($slider_mode=="goods"||$slider_mode=="goods_new"||$slider_mode=="goods_sale"||$slider_mode=="goods_bestsellers"||$slider_mode=="goods_hits"){
			$product_href=JRoute::_(SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.($category_id ? $category_id : $image->category_id).'&product_id='.$image->product_id));
			$html.= '<a style="line-height: '.$slide_height.'px;" class="slide_product_image" title="'.htmlspecialchars($image->name).'" href="'.$product_href.'">';
			$html.= '<img style="max-height: '.$slide_height.'px;" src="'.$image->image.'" />';
			$html.= '</a>';
			if($slide_name_height) $html.= '<a style="height:'.$slide_name_height.'px" class="slide_product_name" href="'.$product_href.'"><span>'.htmlspecialchars($image->name).'</span></a>';
			if($slide_price_height) {
				$html.= '<span style="height:'.$slide_price_height.'px" class="slide_product_price">'.formatprice($image->product_price).'</span>';
			}
		} elseif ($slider_mode=="manufacturers"){
			$html.= '<a style="line-height: '.$slide_height.'px;" class="slide_product_image" title="'.htmlspecialchars($image->$name).'" href="'. JRoute::_(SEFLink('index.php?option=com_jshopping&controller=manufacturer&task=view&manufacturer_id='.$image->manufacturer_id)).'">';
			$html.= '<img style="max-height: '.$slide_height.'px;" src="'. $jshopConfig->image_manufs_live_path."/".$image->manufacturer_logo.'" />';
			$html.= '</a>';
		}
		$html.='</div>';
	}
}
$html.='</div></div></div>'; 
echo $html;